# DataTypeHandler

Extends \AbstractHandler

Configures a Project (complete with Targets and Tasks) based on a XML build file.

Design/ZE2 migration note: If PHP would support nested classes. All the phing/parser/*Filter classes would be nested within this class

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id: 3a401edaa81df29a7b195ed648998bf7c15a4303 $
access | public
package | phing.parser

### Methods

## Constructs a SAX handler parser.

    __construct( $parser,  $parentHandler)

inherited

The constructor must be called by all derived classes.

### Arguments

#### $parser

``

#### $parentHandler

``

## Invoked by occurance of #PCDATA.

    characters( $data)

inherited

exception | ExpatParserException if there is no CDATA but method
           was called
access | public

### Arguments

#### $data

``

## Gets invoked when a XML element ends.

    endElement( $name)

inherited

Can be overloaded by the child class. But should not. It hands over control to the parentHandler of this.

### Arguments

#### $name

``

## Gets invoked when element closes method.

    finished()

inherited

## Executes initialization actions required to setup the data structures related to the tag.

    init( $propType,  $attrs)

This includes:

- creation of the datatype object
- calling the setters for attributes
- adding the type to the target object if any
- adding a reference to the task (if id attribute is given)

throws | if attributes are incomplete or invalid
access | public

### Arguments

#### $propType

``

#### $attrs

``

## Gets invoked when a XML open tag occurs

    startElement( $name,  $attribs)

inherited

Must be overloaded by the child class. Throws an ExpatParseException if there is no handler registered for an element.

### Arguments

#### $name

``

#### $attribs

``

### Properties

## target

    target :

### Type(s)

``

## element

    element :

### Type(s)

``

## wrapper

    wrapper :

### Type(s)

``

## parentHandler

    parentHandler :

inherited

### Type(s)

``

## parser

    parser :

inherited

### Type(s)

``